# Contributing to Tizonia

Welcome!, and many thanks in advance if you finally decide to contribute to
Tizonia.

The following is a set of guidelines for contributing to the project,
definitely not rules. Use your best judgment, and feel free to suggest changes.

#### Table Of Contents

[How Can I Contribute?](#how-can-i-contribute)
  * [Reporting Bugs](#reporting-bugs)
  * [Suggesting New Features](#suggesting-new-features)
  * [First Code Contribution](#first-code-contribution)

[Issue Labels](#issue-labels)

## How Can I Contribute?

### Reporting Bugs

When you are creating a bug report, please include as many details as
possible. Have a look at the [issue template](ISSUE_TEMPLATE.md) for ideas.

> **Note:** If you find a **Closed** issue that seems like it is the same thing
> that you're experiencing, open a new issue and include a link to the original
> issue in the body of your new one.


### Suggesting New Features

You are welcome to submit ideas for new features and enhancements, just include
as many details as possible, including potential implementation options.


### First Code Contribution

Unsure where to begin? You can start by looking through the `good-first-issue`
or `help-wanted` issues:

* [Good first issues][good-first-issues] - issues which should only require a few lines of code.
* [Help wanted issues][help-wanted] - issues which should be a bit more involved than `good-first-issue` issues.

#### Local Development

Have a look at the [project's components](PROJECT.md), and follow the
instructions on how to [build Tizonia from source](BUILDING.md). And of course,
don't hesitate to ask.

#### Documentation

- See [docs.tizonia.org](http://docs.tizonia.org/) for the project's official documentation.

- The [Wiki](https://github.com/tizonia/tizonia-openmax-il/wiki) may also
contain some useful information (although in need of an update).

[good-first-issues]:https://github.com/tizonia/tizonia-openmax-il/issues?q=is%3Aissue+is%3Aopen+label%3A%22good+first+issue%22
[help-wanted]:https://github.com/tizonia/tizonia-openmax-il/issues?q=os+x+label%3A%22help+wanted%22
